<?php
if (!defined('PLX_ROOT')) exit;

plxToken::validateFormToken();

$flickr_sizes = array(
	's'=>'75x75',	// small square 75x75
	'q'=>'150x150',	// large square 150x150
	't'=>'100',		// thumbnail, 100 on longest side
	'm'=>'240',		// small, 240 on longest side
	'n'=>'320',		// small, 320 on longest side
	'-'=>'500',		// medium, 500 on longest side
	'z'=>'640',		// medium 640, 640 on longest side
	'c'=>'800',		// medium 800, 800 on longest side†
	'b'=>'1024',	// large, 1024 on longest side*
	'h'=>'1600',	// large 1600, 1600 on longest side†
	'k'=>'2048',	// large 2048, 2048 on longest side†
	'o'=>'original'	// original image, either a jpg, gif or png, depending on source format
);

if(!empty($_POST)) {
	$params = array();
	foreach ($plxPlugin->fields as $field=>$type) {
		if(!empty($_POST[$field]) or $type == 'boolean') {
			switch ($type) {
				case 'numeric' :
					$value = intval($_POST[$field]);
					break;
				case 'boolean' :
					$value = (!empty($_POST[$field])) ? true : false;
					break;
				default :
					switch($field) {
						case 'theme':
							if(
								($field == 'theme' and in_array($_POST[$field], explode(' ', zoomBox::THEMES))) or (
									in_array($field, array('flickr_size', 'flickr_thumbnail')) and
									array_key_exists($_POST[$field], $flickr_sizes)
							)) {
								$value = $_POST[$field];
							}
					}
					$value = plxUtils::strCheck($_POST[$field]);
					if (empty($value) && array_key_exists($field, $plxPlugin::DEFAULT_VALUES))
						$value = $plxPlugin::DEFAULT_VALUES[$field];
					break;
			}
			if (
				!empty($value) and (
					!array_key_exists($field, $plxPlugin::DEFAULT_VALUES) or
					$value != $plxPlugin::DEFAULT_VALUES[$field]
				)
			) {
				$params[$field] = $value;
			}
		}
	}
	$plxPlugin->setParam('settings', json_encode($params, JSON_PRETTY_PRINT), 'cdata');
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p='.$plugin);
	exit;
}

?>
		<form id="form_<?php echo $plugin; ?>" method="post" >
			<div>
<?php
$themes = array();
foreach(explode(' ', zoomBox::THEMES) as $k) {
	$themes[$k] = ucfirst($k);
}

$settings = $plxPlugin->getParam('settings');
// echo "<!--$settings-->\n";
$params = (!empty($settings)) ? array_merge($plxPlugin::DEFAULT_VALUES, json_decode($settings, true)) : $plxPlugin::DEFAULT_VALUES;
/*
echo "<!--\n";
print_r($params);
print_r($plxPlugin::DEFAULT_VALUES);
echo "\n-->\n";
 * */

foreach($plxPlugin->fields as $field=>$type) {
	$value = (array_key_exists($field, $params)) ?  $params[$field] : '';
		$caption = $plxPlugin->getLang(strtoupper($field));
		$id = 'id_' . $field;
?>
				<div>
					<label for="<?= $id ?>"><?= $caption ?></label>
<?php
		switch ($type) {
			case 'boolean' :
				$checked = (!empty($value)) ? ' checked' : '';
?>
					<input type="checkbox" id="<?= $id ?>" name="<?= $field ?>" value="1"<?= $checked ?> />
<?php
				break;
			case 'numeric' :
				$max = "1000";
				$units = (in_array($field, array('duration'))) ? ' ms' : '';
?>
					<input type="number" id="<?= $id ?>" name="<?= $field ?>" value="<?= $value ?>" class="num" min="0" max="<?= $max ?>" step="10" maxlength="4" pattern="\d{1,4}" /><?= $units ?>

<?php
				break;
			default :
				switch ($field) {
					case 'theme' :
						plxUtils::printSelect($field, $themes, $value);
						break;
					case 'flickr_size' :
					case 'flickr_thumbnail' :
						if($field == 'flick_size' and empty($value)) { $value = 'b'; }
						plxUtils::printSelect($field, $flickr_sizes, $value);
						break;
					case 'flickr_user_id' :
						plxUtils::printInput($field, $value, 'text', '13-12');
						break;
					default :
						plxUtils::printInput($field, $value, 'text', '5-10', false, $class1);
						break;
				}
				break;
		}
?>
				</div>
<?php
}
?>
				<p class="in-action-bar">
					<?= plxToken::getTokenPostMethod() ?>

					<input type="button" id="resetBtn" value="<?php $plxPlugin->lang('DEFAULT'); ?>" />
					<input type="submit" value="<?php echo L_ARTICLE_UPDATE_BUTTON; ?>"/>
				</p>
			</div>
		</form>
<?php $plxPlugin->printConfigJS('resetBtn'); ?>
