<article id = "colorbox-help">
	<h2> Photo thumbnail in an article or static page </h2>
	<p> When a photo thumbnail is present in an article and whose src attribute points to a file name containing the character string ".tb.", by clicking on it, the plugin will download the photo in size and display it. </p>
	<p> If several thumbnails are present, they will be considered as part of a photo gallery. </p>
	<p> In the back office, we have similar behavior in the media manager. </p>
	<h2> Gallery with photos on the server </h2>
	<p> Insert the following HTML code into the article or static page: </p>
	<pre> <code> & lt; div id = "pl_gallery" data-src = "dossier_des_photos"> & lt; / div> </code> </pre>
	<p> The plugin adds in the & lt; div & gt; all thumbnails of photos from dossier_des_photos </p>
	<h2> Gallery with photos hosted by Flickr </h2>
	<p> Insert the following code in the article or static page: </p>
	<pre> <code> & lt; div id = "cb_gallery"
data-tags = "tag_list"
data-user_id = "username_flickr_user"
       data-service = "service_xxx">
& lt; / div> </code> </pre>
	<p> Depending on the case, the data-xxx attributes are not all mandatory, but it is advisable to specify one or two. </p>
	<p> The flickr_user_identifier can be retrieved by one of the following two means: </p>
	<ul>
		<li> by his username (<i> login </i>), to this page on <a href = "https://www.flickr.com/services/api/explore/flickr.people.findByUsername "target =" _ blank "> Flickr </a>, by filling in the" <strong> username </strong> "field, and noting the value of" <strong> id </strong> "in the response after validation. </li>
		<li> by his email address (<i> email </i>), on this page <a href = "https://www.flickr.com/services/api/explore/flickr.people.findByEmail" target = "_blank"> Flickr </a>, by filling in the "<strong> find_email </strong>" field, and noting the value of "<strong> id </strong>" in the response after validation. </li> >
	</ul>
	<p> The value of the data-service attribute can be chosen from one of the elements below: </p>
	<ul>
		<li><a href="https://www.flickr.com/services/feeds/docs/photos_public/" target="_blank">photos_public</a> (Photos publiques) C'est le service par défaut, aucun attribut data-xxx n'est obligatoire. Il est possible de spécifier un ou plusieurs utilisateurs séparés par une virgule. C'est le seul service où l'attribut data-tags sera pris en compte.</li>
		<li><a href="https://www.flickr.com/services/feeds/docs/photos_friends/" target="_blank">photos_friends</a> (Photos des amis) L'attribut data-user_id est obligatoire et doit correspondre à un utilisateur unique.</li>
		<li><a href="https://www.flickr.com/services/feeds/docs/photos_faves" target="_blank">photos_faves</a> (Photos favorites) L'attribut data-user_id est obligatoire et doit correspondre à un utilisateur unique.</li>
		<li><a href="https://www.flickr.com/services/feeds/docs/groups_pool" target="_blank">groups_pool</a> (Photos d'un groupe d'utilisateurs) data-user_id doit correspondre à l'identifiant du groupe. Seuls les membres du groupe peuvent l'obtenir.</li>
	</ul>
	<h2> Useful info for photos hosted by Flickr </h2>
	<ul>
		<li><a href="https://www.flickr.com/services/api/explore/flickr.people.findByUsername" target="_blank">Retrouver l'identifiant d'une personne par son nom d'utilisateur (login)</a></li>
		<li><a href="https://www.flickr.com/services/api/explore/flickr.people.findByEmail" target="_blank">Retrouver l'identifiant d'une personne par son courriel (email)</a></li>
		<li><a href="https://www.flickr.com/services/api/explore/flickr.people.getInfo" target="_blank">Retrouver toutes les infos d'une personne par son identifiant</a></li>
		<li><a href="https://www.flickr.com/services/feeds/">Flux RSS disponibles</a></li>
	</ul>
	<?php $plugin_root = $plxAdmin->racine.$plxAdmin->aConf['racine_plugins'].$plugin.'/'; ?><p><a href="http://www.flickr.com"><img src="<?php echo $plugin_root; ?>white-flickr.png" width="60" height="26" alt="Flickr" /></a></p>
</article>
